package net.saltymc.eaa.handler.commands;

import net.fabricmc.fabric.api.client.command.v1.FabricClientCommandSource;
import net.minecraft.text.Text;

public class EaaCommand implements Command {

    private static final String COMMAND = "echo";
    private static final boolean INTERCEPT = true;

    @Override
    public boolean run( final FabricClientCommandSource cs, String[] args) {
        if (!args[0].equalsIgnoreCase(COMMAND)) {
            return false;
        }

        StringBuilder sb = new StringBuilder();
        for (String arg : args)
            sb.append(arg);

        cs.sendFeedback(Text.of(sb.toString().replaceFirst(args[0], "")));


        return true;
    }

    @Override
    public boolean intercept() {
        return INTERCEPT;
    }
}